Bug 1082719 - Postgres Plugin - Configuration does not update after making changes and saving.
Summary: Postgres Plugin - Configuration does not update after making changes and saving.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR01
: JON 3.2.2
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1082792
TreeView+ depends on / blocked
 
Reported: 2014-03-31 16:59 UTC by Matt Mahoney
Modified: 2014-07-29 00:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 00:16:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Matt Mahoney 2014-03-31 16:59:22 UTC
Description of problem:
Making one or more changes to the Configuration, and then saving the changes does not result in the configuration being updated.

Looking at the History, it can be seen that the changes to the configuration do save successfully, but the latest changes to not become current.

Version-Release number of selected component (if applicable):
4.10.0-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Inventory.Servers.postgres, and then click on Configuration tab
2. Make one more more changes to the configuration, and then click Save button.
3. View History, and validate that the configuration save was success.
4. Navigate back to the Configuration tab and validate whether the new changes were current.

Actual results:
Configuration changes to not update after saving.

Expected results:
Configuration changes should be updated after saving.

Additional info:

Comment 1 Thomas Segismont 2014-04-08 15:00:23 UTC
When you don't run the agent as root or postgres user, nothing is saved and #updateConfiguration returns SUCCESS...

So we need to clearly indicate that the update failed for that reason (now it's just an error message in agent logs)

Also, some properties come from the postgres config file, some from the JDBC connection. The implementation to update properties over JDBC is missing.

Eventually, we need to indicate in the ConfigurationUpdateReport that the resource needs a restart so that changes apply.

Comment 2 Thomas Segismont 2014-04-09 12:42:38 UTC
I was able to save a modified configuration (changed the 'Max_connections'). Can you list the properties you tried to change? Were they only "Runtime properties" (those gathered from the JDBC connection)?

Comment 3 Thomas Segismont 2014-04-09 13:26:12 UTC
I wonder how useful are Runtime-Parameter config definitions. According to the Postgres documentation [1], using 'SET' will only affect the current session, it's not persisted.

I'd like to remove these parameters from configuration and add them to traits.

[1] http://www.postgresql.org/docs/9.2/static/sql-set.html

Comment 4 Thomas Segismont 2014-05-07 14:06:53 UTC
Pushed to master

commit d80a0032b012ea3318f1cea043df41aa5d9ffbc0
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Wed May 7 16:00:34 2014 +0200

Remove runtime-parameters from the list of configuration properties. They are now available as traits.

Comment 5 Thomas Segismont 2014-05-09 15:33:32 UTC
Cherry-picked over to release/jon3.2.x

commit fba134e6e1d4a5e0d05e6f948a2e97484676f90c
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Wed May 7 16:00:34 2014 +0200

Comment 6 Simeon Pinder 2014-05-22 15:15:34 UTC
Via product triage, determined that this bug is to be included for DR01 target milestone.

Comment 7 Simeon Pinder 2014-05-30 02:43:32 UTC
Moving to ON_QA as available for test in latest cumulative patch build(DR01):
http://jon01.mw.lab.eng.bos.redhat.com:8042/dist/release/jon/3.2.2.GA/5-29-2014/

Comment 8 Mike Foley 2014-05-30 18:44:06 UTC
Verified JON 3.2.2 DR1

Comment 9 Larry O'Leary 2014-07-29 00:16:58 UTC
This has been verified and released in Red Hat JBoss Operations Network 3.2 Update 02 (3.2.2) available from the Red Hat Customer Portal[1].



[1]: https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=31783


Note You need to log in before you can comment on or make changes to this bug.